/* colors */
:root {
    --dark-uni-color:#153268;
    --light-uni-color: #50a5d2;
    --better-uni-color: #b5bfd3;
    --uni-chamois-color:#f2f0e8;
    --uni-darkergray: #3b3b3a;
    --uni-darkgray: #575656;
    --uni-gray: #878786;
    --uni-lightgray: #d9dada;
    --uni-lightergray: #ececed
}


/* h2-headers, especially shiny title */
.h2, h2{
    padding-left: 15px;
    font-size: 30px;
}


/* h3-headers, especially sidebar title */
.h3, h3 > sidebartitle{
    font-size: 26px;
    font: bold;
}

/* Main Part / background */
body{
    scroll-behavior:inherit;
    background-color: #ffffff;
    border-left: none;
    margin-left: none;
    width: 100%;
    height: 100%;
    line-height: 1.5;
    min-height: 100vh;
    position: relative;
}

/* Sidebar */
.well {
    background-color: var(--better-uni-color) !important;
    border: 1px solid var(--uni-lightgray);
    margin-left: 15px;
    /* min-height: 40vh; */
    /* max-height: 70vh; */
    overflow-y: visible;
    padding-top: 0px;
}

@media (max-width: 768px) {
    .well {
        margin-right: 10px;
    }
}



/* header */
.container {
    padding: 0 !important;
    margin: 0 !important;
    border: 1px solid var(--uni-darkergray);
    display: flex;
    background-color: var(--dark-uni-color);
    width: 100%;
    overflow: hidden;
    border-radius: 4px;
    text-align: right;
    background-image: url(siegel.svg); 
    background-position: right top;
    background-repeat: no-repeat;
    background-size: 280px 280px;
}

/* header text */
.item-1 {
    flex: 10;
    color: #ffffff;
    align-self: flex-end;
    padding-right: 20px;
    padding-bottom: 3px;
}


/* footer */
.containerlow {
    color: #ffffff;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    padding: 15px 0;
    padding-top: 10px;
    padding-left: 1em !important;
    background-color: #878786;
    position: absolute;
    left: 0;
    width: 100%;
    bottom: 0;
    /* position: relative; */
    margin-bottom: -100px;
}

.row {
    margin-right: -15px;
    margin-left: -15px;
    /* margin-bottom: 100px; */
  }


/* let Header and footer run from left to right */
.container-fluid {
    padding-right: 0;
    padding-left: 0;
}


/* link row */
.linkcontainer{
    display: flex;
    justify-content: flex-end;
    border: none;
    margin-top: 2mm;
    margin-left: 0mm;
    margin-right: 0mm;
    margin-bottom: -13mm;
}


@media (max-width: 550px) {
    .linkcontainer {
        margin-bottom: -5mm;
    }
}


/* Tab headers */
.nav-tabs>li>a{
    color: var(--light-uni-color);
}
/* tab header hover effekt */
.nav-tabs>li>a:hover{
    color: var(--dark-uni-color);
    background-color: var(--uni-lightgray);
}


/* Slider itself */
.irs--shiny .irs-handle {
    border: 1px solid var(--light-uni-color);
    background-color: var(--uni-lightergray);
}
/* slider colors */
/* bar of slider */
.irs--shiny .irs-bar {
    border-top: 1px solid var(--dark-uni-color);
    border-bottom: 1px solid var(--dark-uni-color);
    background: var(--dark-uni-color);
}
/* present chosen number in slider */
.irs--shiny .irs-single {
    background-color: var(--dark-uni-color);
}
/* min and max of slider */
.irs--shiny .irs-min, .irs--shiny .irs-max {
    background-color: var(--uni-chamois-color);
}

/* hover of Slider */
.irs--shiny .irs-line {
    background: linear-gradient(to bottom, var(--uni-lightgray) -50%, var(--uni-lightergray) 150%);
    border: 1px solid var(--light-uni-color);
}


/* Hover for buttons */
.weblink:hover{
    font-size: 20.2px;
    color: var(--light-uni-color);
    text-decoration: none;
}


/* Buttons*/
.btn-default {
    color: var(--dark-uni-color) !important;
    background-color: #ffffff !important;
    border-color: #b3bac7 !important;
    border: none !important;
}

/* buttons in different states */
.btn-default:hover, .btn-default:focus, .btn-default:active, 
.btn-default.active.focus, .btn-default.active:focus, 
.btn-default.active:hover, .btn-default:active.focus, 
.btn-default:active:focus, .btn-default:active:hover{
    color: var(--light-uni-color);
    border-color: #c2c7d2;
}


/* checkbox input and radio input */
.checkbox label, .radio label {
    min-height: 20px;
    padding-left: 20px;
    margin-bottom: 0;
    font-weight: 700 !important;
    cursor: pointer;
}
